using System;
using System.Collections.Generic;
using System.Text;
using System.Resources;
using System.Reflection;
using System.Globalization;
using System.Threading;

namespace ECOT.Engine
{
    public class TextManager
    {
        private ResourceManager resourceMgr = null;

        public TextManager(string resourceName, Assembly asm)
        {
            this.resourceMgr = new ResourceManager(resourceName, asm);
        }

        public string Get(string id)
        {
            return this.resourceMgr.GetString(id, Kernel.Instance.Locale);
        }
    }
}
